"Error loading data from server: oldidnotfound: There is no revision with ID 0.. " appears while trying to switch from NWE to VE
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open VE/NWE
  2. Make some edit and save it
  3. Now click on section heading link for Edit Source to open NWE
  4. Now switch to VE

Observed Result:
The editor does not switch and shows an error dialog with error message "Error loading data from server: oldidnotfound: There is no revision with ID 0.. "

Ryasmeen created this task.May 23 2017, 1:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2017, 1:43 PM
Jdforrester-WMF triaged this task as High priority.
Deskana added a subscriber: Deskana.

Bumping up in priority.

Change 373897 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Set wgRevisionId on overridden edit page

https://gerrit.wikimedia.org/r/373897

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 2:26 PM
Esanders renamed this task from [Regression] "Error loading data from server: oldidnotfound: There is no revision with ID 0.. " appears while trying to switch from NWE to VE to "Error loading data from server: oldidnotfound: There is no revision with ID 0.. " appears while trying to switch from NWE to VE .Aug 25 2017, 2:28 PM
jeblad removed a subscriber: jeblad.Aug 25 2017, 11:44 PM

Change 373897 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Set wgRevisionId on overridden edit page

https://gerrit.wikimedia.org/r/373897

Deskana set the point value for this task to 1.Aug 28 2017, 2:17 PM
Deskana assigned this task to Esanders.
Deskana closed this task as Resolved.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 28 2017, 2:17 PM